<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Zion_Blog
 */


$zion_blog_options = zion_blog_theme_options();

$show_prefooter = $zion_blog_options['show_prefooter'];

?>

<footer id="colophon" class="site-footer">


	<?php if ($show_prefooter== 1){ ?>
	    <section class="zion-footer-sec">
	        <div class="container">
	            <div class="row">
	                <?php if (is_active_sidebar('zion_blog_footer_1')) : ?>
	                    <div class="col-md-3">
	                        <?php dynamic_sidebar('zion_blog_footer_1') ?>
	                    </div>
	                    <?php
	                else: zion_blog_blank_widget();
	                endif; ?>
	                <?php if (is_active_sidebar('zion_blog_footer_2')) : ?>
	                    <div class="col-md-3">
	                        <?php dynamic_sidebar('zion_blog_footer_2') ?>
	                    </div>
	                    <?php
	                else: zion_blog_blank_widget();
	                endif; ?>
	                <?php if (is_active_sidebar('zion_blog_footer_3')) : ?>
	                    <div class="col-md-3">
	                        <?php dynamic_sidebar('zion_blog_footer_3') ?>
	                    </div>
	                    <?php
	                else: zion_blog_blank_widget();
	                endif; ?>

					<?php if (is_active_sidebar('zion_blog_footer_4')) : ?>
	                    <div class="col-md-3">
	                        <?php dynamic_sidebar('zion_blog_footer_4') ?>
	                    </div>
	                    <?php
	                else: zion_blog_blank_widget();
	                endif; ?>
	            </div>
	        </div>
	    </section>
	<?php } ?>

		<div class="site-info">
		<p><?php esc_html_e('Powered By WordPress', 'zion-blog');
                    esc_html_e(' | ', 'zion-blog') ?>
                    <span><a target="_blank" rel="nofollow"
                       href="<?php echo esc_url('https://elegantblogthemes.com/theme/zion-blog/'); ?>"><?php esc_html_e('Zion Blog' , 'zion-blog'); ?></a></span>
                </p>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
